Subject: Re: [PATCH] powerpc/64: Reclaim CPU_FTR_SUBCORE

From: Michael Ellerman <[email-masked]>
Date: Tue, 30 May 2017 20:48:16 +1000

Balbir Singh <[email-masked]> writes:

> On Mon, 29 May 2017 11:53:10 +1000
> Michael Ellerman <[email-masked]> wrote:
>
>> We are running low on CPU feature bits, so we only want to use them when
>> it's really necessary.
>> 
>> CPU_FTR_SUBCORE is only used in one place, and only in C, so we don't
>> need it in order to make asm patching work. It can only be set on
>> "Power8" CPUs, which in practice means POWER8, POWER8E and POWER8NVL.
>> There are no plans to implement it on future CPUs, but if there ever
>> were we could retrofit it then.
>> 
>> Although KVM uses subcores, it never looks at the CPU feature, it either
>> looks at the ISA level or the threads_per_subcore value.
>> 
>> So drop the CPU feature and do a PVR check instead. Drop the device tree
>> "subcore" feature as we no longer support doing anything with it, and we
>> will drop it from skiboot too.
>> 
>> Signed-off-by: Michael Ellerman <[email-masked]>
>> ---
>
> Acked-by: Balbir Singh <[email-masked]>
>
> I looked at CPU_FTR_DBELL and its used for initialization and in
> arch_show_interrupts(), no assembly

But the other criteria is that there is a small set of CPUs where it can
be enabled, so that the PVR check is not horrible.

I don't think DBELL fits that, I see it enabled for at least Power8,
Power8E, Power9, e6500, e5500, e500mc.

cheers